#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kxechardatadialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxechardatadialogbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqtextedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KXECharDataDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
KXECharDataDialogBase::KXECharDataDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KXECharDataDialogBase" );
    setSizeGripEnabled( TRUE );
    KXECharDataDialogBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "KXECharDataDialogBaseLayout"); 

    Layout4 = new TQHBoxLayout( 0, 0, 6, "Layout4"); 

    m_pLblInsert = new TQLabel( this, "m_pLblInsert" );
    Layout4->addWidget( m_pLblInsert );

    m_pComboInsert = new TQComboBox( FALSE, this, "m_pComboInsert" );
    Layout4->addWidget( m_pComboInsert );
    Spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout4->addItem( Spacer6 );

    KXECharDataDialogBaseLayout->addLayout( Layout4, 0, 0 );

    m_pEditData = new TQTextEdit( this, "m_pEditData" );
    m_pEditData->setTextFormat( TQTextEdit::PlainText );
    m_pEditData->setWordWrap( TQTextEdit::NoWrap );

    KXECharDataDialogBaseLayout->addWidget( m_pEditData, 1, 0 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    m_pBtnOK = new TQPushButton( this, "m_pBtnOK" );
    m_pBtnOK->setAutoDefault( TRUE );
    m_pBtnOK->setDefault( TRUE );
    Layout1->addWidget( m_pBtnOK );

    m_pBtnCancel = new TQPushButton( this, "m_pBtnCancel" );
    m_pBtnCancel->setAutoDefault( TRUE );
    Layout1->addWidget( m_pBtnCancel );

    KXECharDataDialogBaseLayout->addLayout( Layout1, 3, 0 );

    m_pTextLabelMessage = new TQLabel( this, "m_pTextLabelMessage" );
    m_pTextLabelMessage->setPaletteForegroundColor( TQColor( 255, 0, 0 ) );
    m_pTextLabelMessage->setTextFormat( TQLabel::PlainText );

    KXECharDataDialogBaseLayout->addWidget( m_pTextLabelMessage, 2, 0 );
    languageChange();
    resize( TQSize(389, 289).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pBtnOK, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( m_pBtnCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // tab order
    setTabOrder( m_pEditData, m_pBtnOK );
    setTabOrder( m_pBtnOK, m_pBtnCancel );
    setTabOrder( m_pBtnCancel, m_pComboInsert );

    // buddies
    m_pLblInsert->setBuddy( m_pComboInsert );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXECharDataDialogBase::~KXECharDataDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXECharDataDialogBase::languageChange()
{
    setCaption( tr2i18n( "XML Character Data" ) );
    m_pLblInsert->setText( tr2i18n( "&Insert:" ) );
    TQWhatsThis::add( m_pLblInsert, tr2i18n( "<b>Insert</b>\n"
"<br/>\n"
"Choose, where to place this XML character data in the XML elements list of childnodes." ) );
    m_pComboInsert->clear();
    m_pComboInsert->insertItem( tr2i18n( "at bottom" ) );
    m_pComboInsert->insertItem( tr2i18n( "at top" ) );
    TQWhatsThis::add( m_pComboInsert, tr2i18n( "<b>Insert</b>\n"
"<br/>\n"
"Choose, where to place this XML character data in the XML elements list of childnodes." ) );
    TQWhatsThis::add( m_pEditData, tr2i18n( "You can edit the XML character data in this editor." ) );
    m_pBtnOK->setText( tr2i18n( "&OK" ) );
    m_pBtnCancel->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** KXECharDataDialogBase meta object code from reading C++ file 'kxechardatadialogbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kxechardatadialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KXECharDataDialogBase::className() const
{
    return "KXECharDataDialogBase";
}

TQMetaObject *KXECharDataDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KXECharDataDialogBase( "KXECharDataDialogBase", &KXECharDataDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KXECharDataDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KXECharDataDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KXECharDataDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KXECharDataDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KXECharDataDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KXECharDataDialogBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KXECharDataDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KXECharDataDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KXECharDataDialogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool KXECharDataDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KXECharDataDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KXECharDataDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool KXECharDataDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
