#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kxenewfilesettingspage.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxenewfilesettingspage.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqcombobox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KXENewFileSettingsPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KXENewFileSettingsPage::KXENewFileSettingsPage( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KXENewFileSettingsPage" );
    KXENewFileSettingsPageLayout = new TQVBoxLayout( this, 11, 6, "KXENewFileSettingsPageLayout"); 

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 

    m_pLblDfltVersion = new TQLabel( this, "m_pLblDfltVersion" );
    layout3->addWidget( m_pLblDfltVersion );

    m_pDfltVersion = new TQLineEdit( this, "m_pDfltVersion" );
    layout3->addWidget( m_pDfltVersion );
    KXENewFileSettingsPageLayout->addLayout( layout3 );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    m_pLblDfltEncoding = new TQLabel( this, "m_pLblDfltEncoding" );
    layout4->addWidget( m_pLblDfltEncoding );

    m_pDfltEncoding = new TQComboBox( FALSE, this, "m_pDfltEncoding" );
    layout4->addWidget( m_pDfltEncoding );
    KXENewFileSettingsPageLayout->addLayout( layout4 );

    m_pNewFileCreatBehav = new TQButtonGroup( this, "m_pNewFileCreatBehav" );
    m_pNewFileCreatBehav->setExclusive( TRUE );
    m_pNewFileCreatBehav->setColumnLayout(0, TQt::Vertical );
    m_pNewFileCreatBehav->layout()->setSpacing( 6 );
    m_pNewFileCreatBehav->layout()->setMargin( 11 );
    m_pNewFileCreatBehavLayout = new TQVBoxLayout( m_pNewFileCreatBehav->layout() );
    m_pNewFileCreatBehavLayout->setAlignment( TQt::AlignTop );

    m_pNewFileCreatBehav1 = new TQRadioButton( m_pNewFileCreatBehav, "m_pNewFileCreatBehav1" );
    m_pNewFileCreatBehavLayout->addWidget( m_pNewFileCreatBehav1 );

    m_pNewFileCreatBehav2 = new TQRadioButton( m_pNewFileCreatBehav, "m_pNewFileCreatBehav2" );
    m_pNewFileCreatBehav2->setChecked( TRUE );
    m_pNewFileCreatBehavLayout->addWidget( m_pNewFileCreatBehav2 );

    m_pNewFileCreatBehav3 = new TQRadioButton( m_pNewFileCreatBehav, "m_pNewFileCreatBehav3" );
    m_pNewFileCreatBehav3->setChecked( FALSE );
    m_pNewFileCreatBehavLayout->addWidget( m_pNewFileCreatBehav3 );
    KXENewFileSettingsPageLayout->addWidget( m_pNewFileCreatBehav );
    spacer8 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KXENewFileSettingsPageLayout->addItem( spacer8 );
    languageChange();
    resize( TQSize(288, 197).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    m_pLblDfltVersion->setBuddy( m_pDfltVersion );
    m_pLblDfltEncoding->setBuddy( m_pDfltEncoding );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXENewFileSettingsPage::~KXENewFileSettingsPage()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXENewFileSettingsPage::languageChange()
{
    setCaption( tr2i18n( "New File Settings Page" ) );
    m_pLblDfltVersion->setText( tr2i18n( "XML &version:" ) );
    TQWhatsThis::add( m_pLblDfltVersion, tr2i18n( "<b>XML version</b>\n"
"<br>\n"
"You can determine the default XML version for XML documents being created. This version is the default setting in wizard dialogs.<br>\n"
"Since there's only one XML version yet, you shouldn't change this value." ) );
    TQWhatsThis::add( m_pDfltVersion, tr2i18n( "<b>XML version</b>\n"
"<br>\n"
"You can determine the default XML version for XML documents being created. This version is the default setting in wizard dialogs.<br>\n"
"Since there's only one XML version yet, you shouldn't change this value." ) );
    m_pLblDfltEncoding->setText( tr2i18n( "Default &encoding:" ) );
    TQWhatsThis::add( m_pLblDfltEncoding, tr2i18n( "<b>Default encoding</b>\n"
"<br>\n"
"You can determine the default encoding for XML documents being created. This version is the default setting in wizard dialogs." ) );
    TQWhatsThis::add( m_pDfltEncoding, tr2i18n( "<b>Default encoding</b>\n"
"<br>\n"
"You can determine the default encoding for XML documents being created. This version is the default setting in wizard dialogs." ) );
    m_pNewFileCreatBehav->setTitle( tr2i18n( "&Behavior on creating new files" ) );
    TQWhatsThis::add( m_pNewFileCreatBehav, tr2i18n( "<b>Behavior on creating new files</b>\n"
"<br>\n"
"You can determine the behavior on creating new XML documents. Choose one of the following:<br>\n"
"<br>\n"
"<b><i>Start with new empty file</i></b><br>\n"
"Creates an empty XML document.<br>\n"
"<br>\n"
"<b><i>Start with file settings dialog assistance</i></b><br>\n"
"Opens a dialog to choose the XML version and encoding of the new document.<br>\n"
"<br>\n"
"<b><i>Start with new file with default settings</i></b><br>\n"
"Creates an XML document with the default XML version and default encoding selected above." ) );
    m_pNewFileCreatBehav1->setText( tr2i18n( "Start with new empty file" ) );
    m_pNewFileCreatBehav2->setText( tr2i18n( "Start with file settings dialog assistance" ) );
    m_pNewFileCreatBehav3->setText( tr2i18n( "Start with new file with default settings" ) );
}

/****************************************************************************
** KXENewFileSettingsPage meta object code from reading C++ file 'kxenewfilesettingspage.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kxenewfilesettingspage.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KXENewFileSettingsPage::className() const
{
    return "KXENewFileSettingsPage";
}

TQMetaObject *KXENewFileSettingsPage::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KXENewFileSettingsPage( "KXENewFileSettingsPage", &KXENewFileSettingsPage::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KXENewFileSettingsPage::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KXENewFileSettingsPage", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KXENewFileSettingsPage::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KXENewFileSettingsPage", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KXENewFileSettingsPage::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KXENewFileSettingsPage", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KXENewFileSettingsPage.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KXENewFileSettingsPage::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KXENewFileSettingsPage" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KXENewFileSettingsPage::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KXENewFileSettingsPage::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KXENewFileSettingsPage::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KXENewFileSettingsPage::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
